/* 
 * Description - Angular Script for fetching the template based on the variable coming in the url.
 * Created By - Yatin Batra  
 * */
var app = angular.module("app", ["ngRoute"]);

app.config(function ($routeProvider) {

	$routeProvider
		.when("/route1/:param1", {
			templateUrl: "route1.jsp",
			controller: 'ctrl'
		})
		.when("/route2", {
			templateUrl: "route2.jsp"
		});
});

app.controller("ctrl", ['$scope', '$routeParams', function ($scope, $routeParams) {
	// Using $routeParams
	$scope.value1 = $routeParams.param1;
}]);