<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>AngularJS HttpGet Url Parameters</title>

    <!-- AngularJs Files -->
    <script type="text/javascript" src="resource/js/angular.js"></script>
    <script type="text/javascript" src="resource/js/angular-route.js"></script>
    <script type="text/javascript" src="resource/js/route.js"></script>

    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
</head>

<body>
    <div id="angularHttpGetUrlParameters" class="container">
        <h1 align="center" class="text-primary">AngularJS - HTTP Get Url Parameters Example</h1>
        <hr />

        <!------ Angular Http Get() Url Parameters Example ------>
        <div ng-app="app">            
            <!-- Hyperlinks to generate templates dynamically -->
            <ul id="linksList" class="list-group">
                <li class="list-group-item"><a id="r1Link" href="#!route1/testvalue1" class="pointer">Route 1</a></li>
                <li class="list-group-item"><a id="r2Link" href="#!route2" class="pointer">Route 2</a></li>
            </ul>
            <div>&nbsp;</div>

            <!-- Displays dynamic content based on the input url variables. -->
            <div ng-view></div>
        </div>
    </div>
</body>

</html>